Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wogroovy.additions
Class NSTimestampAdditions

    java.lang.Object
      wogroovy.additions.NSTimestampAdditions

public class NSTimestampAdditions
extends Object

Constructor Summary
`NSTimestampAdditions()`

Method Summary
`static GregorianCalendar` | `calendarForTimestamp(NSTimestamp self)`
`static int` | `compareTo(NSTimestamp left, NSTimestamp right)`
`static NSTimestamp` | `dateByAddingTime(NSTimestamp self, NSTimestamp other)`
`static int` | `dayOfCommonEra(NSTimestamp self)`
`static int` | `dayOfWeek(NSTimestamp self)`
`static int` | `dayOfYear(NSTimestamp self)`
`static int` | `hourOfDay(NSTimestamp self)`
`static boolean` | `isEarlierThan(NSTimestamp self, NSTimestamp other)`
`static boolean` | `isLaterThan(NSTimestamp self, NSTimestamp other)`
`static int` | `minuteOfHour(NSTimestamp self)`
`static int` | `monthOfYear(NSTimestamp self)`
`static NSTimestamp` | `timestampByAddingTime(NSTimestamp self, NSTimestamp other)`
`static Integer` | `unixTimestamp(NSTimestamp self)`
`static int` | `yearOfCommonEra(NSTimestamp self)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NSTimestampAdditions

    public NSTimestampAdditions()

Method Detail

### calendarForTimestamp

    public static GregorianCalendar calendarForTimestamp(NSTimestamp self)

### dateByAddingTime

    public static NSTimestamp dateByAddingTime(NSTimestamp self,
                                               NSTimestamp other)

### timestampByAddingTime

    public static NSTimestamp timestampByAddingTime(NSTimestamp self,
                                                    NSTimestamp other)

### unixTimestamp

    public static Integer unixTimestamp(NSTimestamp self)

### dayOfCommonEra

    public static int dayOfCommonEra(NSTimestamp self)

### dayOfWeek

    public static int dayOfWeek(NSTimestamp self)

### dayOfYear

    public static int dayOfYear(NSTimestamp self)

### hourOfDay

    public static int hourOfDay(NSTimestamp self)

### minuteOfHour

    public static int minuteOfHour(NSTimestamp self)

### monthOfYear

    public static int monthOfYear(NSTimestamp self)

### yearOfCommonEra

    public static int yearOfCommonEra(NSTimestamp self)

### isEarlierThan

    public static boolean isEarlierThan(NSTimestamp self,
                                        NSTimestamp other)

### isLaterThan

    public static boolean isLaterThan(NSTimestamp self,
                                      NSTimestamp other)

### compareTo

    public static int compareTo(NSTimestamp left,
                                NSTimestamp right)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD